import { listFileByBasisId, toolDelete } from "@/api/bussiness";
import { groupByKey } from "@/utils"

const useTable = (getList, updateTypeOneDict, reset, open, title,form,formLoading) => {
  const { proxy } = getCurrentInstance();

  const toolList = ref([]);
  const loading = ref(true);
  const ids = ref([]);
  const single = ref(true);
  const multiple = ref(true);

  /** 多选框选中数据 */
  const handleSelectionChange = (selection) => {
    ids.value = selection.map((item) => item.postId);
    single.value = selection.length != 1;
    multiple.value = !selection.length;
  };

  /** 新增按钮操作 */
  const handleAdd = () => {
    reset();
    updateTypeOneDict();
    open.value = true;
    title.value = "添加分类";
  };

  /** 修改按钮操作 */
  const handleUpdate = (row) => {
    reset();
    updateTypeOneDict();
    open.value = true;
    formLoading.value = true;
    listFileByBasisId({
      basisId: row.id,
      delFlag: '0'
    }).then(res=>{
      const allFiles = (res.rows || []).map(item => ({
        id: item.id,
        name: item.fileName,
        url: item.filePath,
        informationType: item.informationType
      }))
      const fileMap = groupByKey(allFiles,'informationType')
      form.value = {
        id: row.id,
        parentId: row.parentId,
        toolName: row.toolName,
        describe: row.describe,
        // 手册附件
        manualFileList: fileMap['sc'] || [],
        // 资料附件
        resourceFileList: fileMap['zl'] || [],
      };
      title.value = "修改分类";
    }).finally(()=>{
      formLoading.value = false
    })
  };
  /** 删除按钮操作 */
  const handleDelete = (row) => {
    const toolIds = row.id || ids.value;
    proxy.$modal
      .confirm('是否确认删除该分类？')
      .then(function () {
        return toolDelete(toolIds);
      })
      .then(() => {
        getList();
        proxy.$modal.msgSuccess("删除成功");
      })
      .catch(() => {});
  };

  return {
    toolList,
    loading,
    single,
    multiple,
    handleAdd,
    handleUpdate,
    handleDelete,
    handleSelectionChange
  };
};

export default useTable;
